serial

## Class SerialIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - serial.SerialIOException

All Implemented Interfaces:
  java.io.Serializable

    public class SerialIOException
    extends java.io.IOException

Created by chzhong on 1/20/16.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SerialIOException(java.lang.String detailMessage)` Constructs a new `SerialIOException` with its stack trace and detail message filled in.
`SerialIOException(java.lang.String message, java.lang.Throwable cause)` Constructs a new instance of this class with detail message and cause filled in.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SerialIOException

    public SerialIOException(java.lang.String detailMessage)

Constructs a new `SerialIOException` with its stack trace and detail message filled in.

Parameters:
  `detailMessage` - the detail message for this exception.

#### SerialIOException

    public SerialIOException(java.lang.String message,
                     java.lang.Throwable cause)

Constructs a new instance of this class with detail message and cause filled in.

Parameters:
  `message` - The detail message for the exception.
  `cause` - The detail cause for the exception.
Since:
  1.6